VariableFactory.h File Reference
`#include <polybori/pbori_defs.h>`
`#include <polybori/factories/CFactoryBase.h>`
`#include <polybori/BooleVariable.h>`

Go to the source code of this file.

## Classes

class | polybori::VariableFactory
| This base class VariableFactory is used for currying variable constructors with a BoolePolyRing. More...

## Namespaces

| polybori

## Detailed Description

Author
  Alexander Dreyer

Date
  2011-05-05

This file defines the base class VariableFactory which is used for currying the constructors of `BooleVariable` with a BoolePolyRing.

Copyright:
  (c) by The PolyBoRi Team